summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/classifier-reborn/Manifest1
-rw-r--r--dev-ruby/classifier-reborn/classifier-reborn-2.3.0.ebuild39
-rw-r--r--dev-ruby/minitest/Manifest2
-rw-r--r--dev-ruby/minitest/minitest-5.16.0.ebuild23
-rw-r--r--dev-ruby/minitest/minitest-5.16.1.ebuild23
-rw-r--r--dev-ruby/nokogiri/Manifest1
-rw-r--r--dev-ruby/nokogiri/nokogiri-1.13.7.ebuild95
7 files changed, 136 insertions, 48 deletions
diff --git a/dev-ruby/classifier-reborn/Manifest b/dev-ruby/classifier-reborn/Manifest
index 68ea54e90070..9fc2a8db5ed2 100644
--- a/dev-ruby/classifier-reborn/Manifest
+++ b/dev-ruby/classifier-reborn/Manifest
@@ -1 +1,2 @@
DIST classifier-reborn-2.2.0.tar.gz 319010 BLAKE2B f4bd3259b9d6e324f3f0feb06dfd1c8736eaa8ae0f687e488b6e11b9cda8e6bf9e56a175c01dfb9352184da1a030d1330e22917c7bfdcb4242fa0102f6291940 SHA512 d299ce8f3b96de5c6194e816d880ebb895faaacdc2a19985166bdc3d9760242ec41d85f22167ea66e9afd743f5d91d63881da02882d1a412fc95a0c5db63d04c
+DIST classifier-reborn-2.3.0.tar.gz 325647 BLAKE2B eb663b0e12440e508bbd882e4f72c790445916e5e19234d4d50d5f20a692f0a7bbd45348e898a9782798ccc82568ccc825bc1477f02885cf33f9a9aab90ab10b SHA512 428073f63ce93cc6284275f92063fa092e3cbd99817a2d6650bafc46ac91fba240ce5ccb09f428b10818c24b04de56dd88090ab0d1cffd644b381a88d9c92050
diff --git a/dev-ruby/classifier-reborn/classifier-reborn-2.3.0.ebuild b/dev-ruby/classifier-reborn/classifier-reborn-2.3.0.ebuild
new file mode 100644
index 000000000000..7991fe3b1ef3
--- /dev/null
+++ b/dev-ruby/classifier-reborn/classifier-reborn-2.3.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.markdown"
+RUBY_FAKEGEM_GEMSPEC="classifier-reborn.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Module to allow Bayesian and other types of classifications"
+HOMEPAGE="https://github.com/jekyll/classifier-reborn"
+SRC_URI="https://github.com/jekyll/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="gsl test"
+
+ruby_add_rdepend "
+ >=dev-ruby/fast-stemmer-1.0.0
+ >=dev-ruby/matrix-0.4:0
+ gsl? ( dev-ruby/rb-gsl )"
+ruby_add_bdepend "test? ( dev-ruby/redis )"
+
+all_ruby_prepare() {
+ sed -i -e 's/git ls-files -z/find * -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ sed -i -e "/[Bb]undler/d" Rakefile || die
+ if use !gsl; then
+ sed -e 's/$GSL = true/$GSL = false/'\
+ -e 's/vector_serialize/vector/'\
+ -i lib/${PN}/lsi.rb || die
+ fi
+
+ sed -i -e '/reporters/I s:^:#:' -e '/pry/ s:^:#:' test/test_helper.rb || die
+}
diff --git a/dev-ruby/minitest/Manifest b/dev-ruby/minitest/Manifest
index 1e0c75406269..72fce739c23a 100644
--- a/dev-ruby/minitest/Manifest
+++ b/dev-ruby/minitest/Manifest
@@ -2,6 +2,4 @@ DIST minitest-5.13.0.gem 83968 BLAKE2B 90f2bc20328a5522a51bcfee94d69e6fd03189190
DIST minitest-5.14.3.gem 84992 BLAKE2B baad3e8198bcee1b2748f81a7ea822785423c2bfb07130397b2c21993c686aa6edf58811cd58c4c9685b63b8a7373948a0aa2eacb6b02383399847edbad5deaa SHA512 2aadb99c5eac8d29c78865f8ce3fae51f11c2e1dd17157b6d0c6684733a3b870146df16fd26626c6f9c56806422e1e2457208afa1c69238a2bdaa4a859c23645
DIST minitest-5.14.4.gem 86016 BLAKE2B 1f7b8c72b41e1f4e47852021dd99df411a427ac8bbe564a2b86edbb727a4976030176331442a3a44f734347cc42f80444f8d3937e561f0063ec6bb3132d4c402 SHA512 f967a11cfce82e167879905082859273b270e8d8e663a0c1c553964a345fb8564547627b8cf97418ac5bda544bb76c1385438ad74ec8e846666dc2952d55c9e9
DIST minitest-5.15.0.gem 87040 BLAKE2B 71e7a7952c25fd37067a449867d74a2f18a8a42d1fbd72f24d6db226c54a18e9a21958654d4176176804bedd09ef9d1d3be68f79e29312c3f85d0930d3d68d7b SHA512 5e97a7aa616966ffc60e10cdc0ba123a7e793f10283ec3b6bf36066177036788cb950ad566fbac49e613b93f08b9846534f463017cde966b4890c3a34a2286be
-DIST minitest-5.16.0.gem 92160 BLAKE2B 2d7b325e9907564aa1763877281b56347511d0e1ce0224642c4fec9f4e43c25449ee285d48e64fc07ffca063c2821209b07a2c2d7e378fdaf41a82d079ea9667 SHA512 97eda6bbd592dd08528cecd8bc85e0dacdc5417ca1204c182cf0833d5ede36f4ccdd56dd23ffe5fd7d9a859d2bfbfe2a59c989dec17e392749980eff9b3e43ce
-DIST minitest-5.16.1.gem 92160 BLAKE2B 18cd40f199aaa97e642a53e744dd773dde18809f4f0635f9921ba7f9db8464402bc8b60b09dbda95a45bf1afd256e65d685b5158b56bbac9831b0e8dccc52ca3 SHA512 ef01144a9b62a8bb987677789d0eda0448d49e663e9d391749762a282c7dc5cb4c44bc1b9de3e1a188e16bbd1333fd8b7f755f3d64d33ed7259d1541266ff9d2
DIST minitest-5.16.2.gem 93184 BLAKE2B 005af875bf38e3744bf9de90ec6e964487908a817c19094dcee658963ab2c8882bb1cc4e0b19124b83af9f5da019a8d9e611ba21856f50deca8d9eb1757640cb SHA512 714dc201e9a8a45eefa080ee1a45fa66acb2de0cf624e7c6233e7e1745c35ef9e1a8d24236ecf33f440c05c03f09e017c6ff1e077473b22e3abe5d1ff3126989
diff --git a/dev-ruby/minitest/minitest-5.16.0.ebuild b/dev-ruby/minitest/minitest-5.16.0.ebuild
deleted file mode 100644
index 82de4175ebb6..000000000000
--- a/dev-ruby/minitest/minitest-5.16.0.ebuild
+++ /dev/null
@@ -1,23 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_DOCDIR="doc"
-RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
-
-inherit ruby-fakegem
-
-DESCRIPTION="minitest/unit is a small and fast replacement for ruby's huge and slow test/unit"
-HOMEPAGE="https://github.com/seattlerb/minitest"
-
-LICENSE="MIT"
-SLOT="5"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc test"
-
-each_ruby_test() {
- export -n A
- MT_NO_PLUGINS=true ${RUBY} -Ilib:test:. -e "Dir['**/test_*.rb'].each{|f| require f}" || die "Tests failed"
-}
diff --git a/dev-ruby/minitest/minitest-5.16.1.ebuild b/dev-ruby/minitest/minitest-5.16.1.ebuild
deleted file mode 100644
index 82de4175ebb6..000000000000
--- a/dev-ruby/minitest/minitest-5.16.1.ebuild
+++ /dev/null
@@ -1,23 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30 ruby31"
-
-RUBY_FAKEGEM_DOCDIR="doc"
-RUBY_FAKEGEM_EXTRADOC="History.rdoc README.rdoc"
-
-inherit ruby-fakegem
-
-DESCRIPTION="minitest/unit is a small and fast replacement for ruby's huge and slow test/unit"
-HOMEPAGE="https://github.com/seattlerb/minitest"
-
-LICENSE="MIT"
-SLOT="5"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc test"
-
-each_ruby_test() {
- export -n A
- MT_NO_PLUGINS=true ${RUBY} -Ilib:test:. -e "Dir['**/test_*.rb'].each{|f| require f}" || die "Tests failed"
-}
diff --git a/dev-ruby/nokogiri/Manifest b/dev-ruby/nokogiri/Manifest
index ecdd13919424..834d8dc09d66 100644
--- a/dev-ruby/nokogiri/Manifest
+++ b/dev-ruby/nokogiri/Manifest
@@ -1 +1,2 @@
DIST nokogiri-1.13.6-git.tgz 6249974 BLAKE2B db6a7fd70cd88fa784e70fd33102ad2a0d65a848a713bd93907d3c77b7ecc101a4f0a38febf3265b25967e045bf9091e46cf319702c08319e32f94d57a946985 SHA512 96f4e52332052bfae0d88d8c93cf334f8484b51290cafe8c1d43c820ba6ac5aa74b187c37e7177e62435d6101d859c16555b715fa88fcb06da742c84fd0e7486
+DIST nokogiri-1.13.7-git.tgz 6250903 BLAKE2B b8756a8af2428518451acabf629e5f634a526bcd184c6884ff90f3014ae71d700895527ff571f743929e168e39c1fd9a83cb55a8327c3b12e069c0804f765579 SHA512 34f406681fab399221306366ba8c82a2030164641bd9ec8502c8e0ecfd02423b5635517d2c6015f97cc80bcc2be83d81bda6038f61b59352d7348b591c411711
diff --git a/dev-ruby/nokogiri/nokogiri-1.13.7.ebuild b/dev-ruby/nokogiri/nokogiri-1.13.7.ebuild
new file mode 100644
index 000000000000..d3d2a1eac8bd
--- /dev/null
+++ b/dev-ruby/nokogiri/nokogiri-1.13.7.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md ROADMAP.md SECURITY.md"
+
+RUBY_FAKEGEM_GEMSPEC="nokogiri.gemspec"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/nokogiri/extconf.rb)
+
+inherit ruby-fakegem multilib
+
+DESCRIPTION="Nokogiri is an HTML, XML, SAX, and Reader parser"
+HOMEPAGE="https://www.nokogiri.org/"
+LICENSE="MIT"
+SRC_URI="https://github.com/sparklemotion/nokogiri/archive/v${PV}.tar.gz -> ${P}-git.tgz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE=""
+
+RDEPEND="${RDEPEND}
+ >=dev-libs/libxml2-2.9.14:=
+ >=dev-libs/libxslt-1.1.35
+ sys-libs/zlib
+ virtual/libiconv"
+DEPEND="${DEPEND}
+ >=dev-libs/libxml2-2.9.14
+ >=dev-libs/libxslt-1.1.35
+ sys-libs/zlib
+ virtual/libiconv"
+
+ruby_add_rdepend ">=dev-ruby/racc-1.4:0"
+
+ruby_add_bdepend "
+ dev-ruby/mini_portile2:2.8
+ >=dev-ruby/rexical-1.0.7
+ dev-ruby/rdoc
+ test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/tasks\/cross_compile/s:^:#:' \
+ -e '/:test.*prerequisites/s:^:#:' \
+ -e '/license/ s:^:#:' \
+ Rakefile || die
+ # Remove the cross compilation options since they interfere with
+ # native building.
+ sed -i -e 's/cross_compile = true/cross_compile = false/' Rakefile || die
+ sed -i -e '/cross_config_options/d' Rakefile || die
+
+ sed -e '/simplecov/,/^end/ s:^:#:' \
+ -e '/reporters/I s:^:#:' \
+ -i test/helper.rb || die
+
+ # There is no need for mini_portile2 to be a runtime dependency on Gentoo
+ sed -i -e '/mini_portile2/ s:^:#:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_configure() {
+ NOKOGIRI_USE_SYSTEM_LIBRARIES=true \
+ ${RUBY} -Cext/${PN} extconf.rb \
+ --with-zlib-include="${EPREFIX}"/usr/include \
+ --with-zlib-lib="${EPREFIX}"/$(get_libdir) \
+ --with-iconv-include="${EPREFIX}"/usr/include \
+ --with-iconv-lib="${EPREFIX}"/$(get_libdir) \
+ --with-xml2-include="${EPREFIX}"/usr/include/libxml2 \
+ --with-xml2-lib="${EPREFIX}"/usr/$(get_libdir) \
+ --with-xslt-dir="${EPREFIX}"/usr \
+ --with-iconvlib=iconv \
+ || die "extconf.rb failed"
+}
+
+each_ruby_compile() {
+ if ! [[ -f lib/nokogiri/css/tokenizer.rb ]]; then
+ ${RUBY} -S rake lib/nokogiri/css/tokenizer.rb || die "rexical failed"
+ fi
+
+ if ! [[ -f lib/nokogiri/css/parser.rb ]]; then
+ ${RUBY} -S rake lib/nokogiri/css/parser.rb || die "racc failed"
+ fi
+
+ emake -Cext/${PN} \
+ V=1 \
+ CFLAGS="${CFLAGS} -fPIC" \
+ archflag="${LDFLAGS}" || die "make extension failed"
+ cp -l ext/${PN}/${PN}$(get_modname) lib/${PN}/ || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e 'Dir["test/**/test_*.rb"].each {|f| require f}' || die
+}